package com.keao.edu.user.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(exam_certification):
 */
public class ExamCertification {

	private Long id;

	@ApiModelProperty(value = "学员报名编号")
	private Long examRegistrationId;

	@ApiModelProperty(value = "考级项目编号")
	private Integer examinationBasicId;

	@ApiModelProperty(value = "学生编号")
	private Integer studentId;

	@ApiModelProperty(value = "证件号")
	private String cardNo;

	@ApiModelProperty(value = "专业编号")
	private Integer subjectId;

	@ApiModelProperty(value = "报考级别")
	private Integer level;

	@ApiModelProperty(value = "考试开始时间")
	private java.util.Date examStartTime;

	@ApiModelProperty(value = "考试结束时间")
	private java.util.Date examEndTime;

	@ApiModelProperty(value = "考试地址")
	private String examAddress;

	private java.util.Date createTime;

	private java.util.Date updateTime;

	private String tenantId;

	public Long getExamRegistrationId() {
		return examRegistrationId;
	}

	public void setExamRegistrationId(Long examRegistrationId) {
		this.examRegistrationId = examRegistrationId;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setExaminationBasicId(Integer examinationBasicId){
		this.examinationBasicId = examinationBasicId;
	}
	
	public Integer getExaminationBasicId(){
		return this.examinationBasicId;
	}
			
	public void setStudentId(Integer studentId){
		this.studentId = studentId;
	}
	
	public Integer getStudentId(){
		return this.studentId;
	}
			
	public void setCardNo(String cardNo){
		this.cardNo = cardNo;
	}
	
	public String getCardNo(){
		return this.cardNo;
	}
			
	public void setSubjectId(Integer subjectId){
		this.subjectId = subjectId;
	}
	
	public Integer getSubjectId(){
		return this.subjectId;
	}
			
	public void setLevel(Integer level){
		this.level = level;
	}
	
	public Integer getLevel(){
		return this.level;
	}
			
	public void setExamStartTime(java.util.Date examStartTime){
		this.examStartTime = examStartTime;
	}
	
	public java.util.Date getExamStartTime(){
		return this.examStartTime;
	}
			
	public void setExamEndTime(java.util.Date examEndTime){
		this.examEndTime = examEndTime;
	}
	
	public java.util.Date getExamEndTime(){
		return this.examEndTime;
	}
			
	public void setExamAddress(String examAddress){
		this.examAddress = examAddress;
	}
	
	public String getExamAddress(){
		return this.examAddress;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setTenantId(String tenantId){
		this.tenantId = tenantId;
	}
	
	public String getTenantId(){
		return this.tenantId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
